---
author: trusted.firmware
title: TF-A open Tech Forum regular call
date: 2020-09-09 08:00:00
categories:
  - Meetings
layout: post
image: /assets/images/blog/x15_demo_tf_crop_1500x1500.png
---
## TF-A Technical Forum

This is an open forum conference call for anyone to participate and it is not restricted to TF members. It will operate under the guidance of the TF TSC. Invites and other traffic are via the TF-A mailing list. Attendees are welcome to propose agenda items. A [Scheduling Tracking Page](https://developer.trustedfirmware.org/w/tf_a/tf-a-tech-forum-scheduling/) shows possible future items and their current status.

### The next call is planned on Thursday, 24th March 2022 at 16:00 GMT

To receive an invite, please join the TF-A mailing list. [Subscribe to the TF-A list](https://lists.trustedfirmware.org/mailman3/lists/tf-a.lists.trustedfirmware.org/) , or see the calendar links at the bottom of the page.

### Recording and slides of previous meetings will appear here

* **Introduction to Arm DRTM specification and its support in TF-A - Presented by Stuart Yoder, Lucian Pau-Trifu, Manish Pandey, Manish Badarkhe** [PDF Presentation](/docs/DRTM_Implementation.pdf) 
* [Video Recording](https://linaro-org.zoom.us/rec/share/RcYX1TBh0I6E_PrJNRPpXHqKze2ODHYAOMXO7Yw-EgYusfcjVyTCxZlieTcjEUYt.YHjtoMaObguI4bBh) (Access Password: 78n#u$Gh)
* Date - 10th March 2022
<br/>

* **Introduction of Arm CCA Context Management - Presented by Soby Mathew and Zelalem Aweke** [PDF Presentation](/docs/RefactorContextMgmt.pdf) 
* [Video Recording](https://linaro-org.zoom.us/rec/share/FYs4ECk9MhH3rInKjFhn7KUSdObLW9hMkYbX2jlgEOl3vCGE3KNZLIjsyV1o-KXE.vIcIdXFYV2xEl4MM) (Access Password: YA^LTJ7g)
* Date - 27th January 2022
<br/>

* **Hafnium Build/Tooling Options and Firmware Update/Anti-Rollback Versioning**
  * **Hafnium Build and Tooling Options - Presented by Olivier Deprez - [PDF Presentation](/docs/HafniumBuildSystem.pdf)**
  * **Firmware Update and Anti-Rollback Versioning - Presented by Manish Badarkhe/Manish Pandey2- [PDF Presentation](/docs/FWU-AntiRollbackVersion.pdf)**
* [Video Recording](https://linaro-org.zoom.us/rec/share/7kYTlGd-6zZq0vnhsAAKHsyVilKNj1Ql516N5OdttDS3nbWT-QQVnqLEINQlcjzB.l6NGDp7a2Le9l3Ko) (Access Password: d&&Ydj=7)
* Date - 13th January 2022
<br/>

* **Measured Boot Driver - Refactor and Critical Data Measurement Design - Presented by Manish Badarkhe** [PDF Presentation](/docs/MeasuredBoot-TechForum.pdf) 
* [Video Recording](https://linaro-org.zoom.us/rec/share/WLfYDlZP1gHwsF3BTpc6CdKj9p8az-b0yPN1kOyJek5xrJeURKq6ekWHh_2QTc6n.7pV2fF20QzZ_44f_ ) (Access Password: jG^9k9$m)
* Date - 2nd December 2021
<br/>

* **Realm Management Extension (RME) Granule Protection Table (GPT) Overview - Presented by John Powell** [PDF Presentation](/docs/tfa_tech_forum_2021_10_21_gpt.pdf) 
* [Video Recording](https://linaro-org.zoom.us/rec/share/Unc8GMHCr_0GpjiqP_ErKmkbOZ3eqR1bbGPcNySCflNyyNi9_2tiSPhEloKqXhWU.go6UxX4hdFmKQ8cS) (Access Password: R4F%RG9$)
* Date - 21st October 2021
<br/>

* **Realm Management Extension (RME) Support in TF-A - Presented by Zelalem Aweke** [PDF Presentation](/docs/RME_TF-A_tech_forum.pdf) 
* [Video Recording](https://linaro-org.zoom.us/rec/share/3wgs44tPAImLCvKZ4cT8QGt0PcTWmumEJxQ_qMoY2vadKGQZWfVOr930RGnmX6zK.QjA7078pebAUd-0R) (Access Password: \*9cJPhEN)
* Date - 23rd September 2021
<br/>

* **Enabling S-EL0 FF-A partitions on Hafnium using ARMv8.1 FEAT_VHE - Presented by Raghupathy Krishnamurthy** [PDF Presentation](/docs/VHE-Support-updated.pdf) 
* [Video Recording](https://linaro-org.zoom.us/rec/share/WDTkYBCPMZbTt-KRLH69QnKFLRPCGR58VqCt4pzuCZWmfyI2lzAgnP0MtMLmr9Pf.BpzT9ZFKd8flN7xl) (Access Password: KYpe0+j%)
* Date - 12th August 2021
<br/>

* **Firmware Update Design - Presented by Manish Badarkhe** [PDF Presentation](/docs/FirmwareUpdate.pdf) 
* [Video Recording](https://linaro-org.zoom.us/rec/share/4w6VJ7cOmovAPVLmgAavNWHCGQY5Pel71NQsvMPROamrgv-N_lDaOnmwv8YeJtWN.fcMXnEKkYp3AvVOb) (Access Password: 6ry9*hu5)
* Date - 29th July 2021
<br/>

* **Adding Armv8-R AArch64 Support to TF-A - Presented by Gary Morrison and Lauren Wehrmeister with support from Robin Randhawa** [PDF Presentation](/docs/v8-R64.pdf) 
* [Video Recording](https://linaro-org.zoom.us/rec/share/Mem_DfxxSyYtWNWNMLX9CFYHf2ynX_oGiG61929-hcspihx_jg3uq2hK80dqMInI.tV3Y0b5i-tboYOMi) (Access Password: 2=jJSv9a)
* Date - 1st July 2021
<br/>

* **Dynamic Data Passing Through Boot Stages (session 2) - Presented by Manish Pandey and Madhukar Pappireddy** [PDF Presentation](/docs/HoB_proposals.pdf) also available is the [Post Meeting Bloblist Proposal PDF](/docs/Bloblist_Proposals.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/Tdrq2_SXJEqr4hOVKxKOFMU-C0S_Xm1g6_zRIdeYkCcNl_V1I5fZzNyGU7_0ORuz.ad82F0FkRDXFs9kM) (Access Password: g\*7.GLFm)
* Date - 3rd June 2021
<br/>

* **Dynamic Data Passing Through Boot Stages (session 1) - Presented by Manish Pandey and Madhukar Pappireddy** [PDF Presentation](/docs/Tech_Forum_Dynamic_information_through_boot_phases.pdf)
* No Video Recording Available
* Date - 6th May 2021
<br/>

* **OpenCI Update- Presented and Demoed by Joanna Farley** [PDF Presentation](/docs/OpenCI_Status.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/c93abP_tWoc4W6l3KbWIn-oCyMGBfPo4dC75NEX20d-9fBWS2eOh0LGDEonzp5xI.SOtBFclTWKpXyUhS) (Access Password: ^svN#0g$)
* Date - 8th April 2021
<br/>

* **Conventional Commits Sign-off Discussions - Led by Chris Kay**
* [Video Recording](https://linaro-org.zoom.us/rec/share/dE-6cloNUo4Ejm3Tsfqm2flKuj3LSBIiZERs-w9UER2wdzBjP32qvSqd9OGWZ0Zq.ngIbBTXIUUgVhWGu) (Access Password: %%X=AdX4)
* Date - 25th February 2021
<br/>

* **TF-A: OpenCI Introduction and Demo - Presented by Joanna Farley** [PDF Presentation](/docs/OpenCI_Intro.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/LkBy57jLIexPFxLkKd9K8Fifc89xSvyBbISC1DFbYQ0Z7E-12biGahVhIkRl8eo8.EpY0XY1pLvfUdg3T) (Access Password: n5EvT%d%)
* Date - 11th February 2021
<br/>

* **TF-A: Automotive Enhance (AE) Architecture Support Requirements Discussion - Presented by Manish Pandey** [PDF Presentation](/docs/Tech_Forum_AE_Support_in_TF-A-2021.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/nOjHOwvjirAUdFpV7HGnChSDeSXsimMXfb584zmUA8vHQStDAP3N8qS66nFxFU9Z.ogqNbUVX7hpmfezM) (Access Password: y^69Tsh0)
* Date - 28th January 2021
<br/>

* **An introduction to the Trusted Services Project - Presented by Julian Hall** [PDF Presentation](/docs/TrustedServicesIntro.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/qu57J3l1Sa_i4rw0IpPdYnA8INXV982e9mpoAbkhMklt2mM3X7ZHYiNtP656ryCX.l45IxujlUeY2jkb9) (Access Password: eoV&v1^1)
* Date - 17th December 2020
<br/>

* **Trace-based Code Coverage Tooling for Firmware Projects - Presented by Basil Eljuse and Saul Romero** [PDF Presentation](/docs/TracebasedCodeCoverageTooling.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/LM5a5tlJDl-JnVQ2_KBCjRUxOmDReVCfBs0z8gK4pi149jGOFZ3sdI_DM4kk7YUb.sEeK_CZqQ8YF6UoF) (Access Password: SK!Q2q$V)
* Date - 19th November 2020
<br/>

* **TF-A Tests Overview - Presented by Varun Wadekar** [PDF Presentation](/docs/TF-A-Tests.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/L885NkAGs0WLj-fAvzWOCp_MgNf4NA_jOeEH1yqr6aK1wdHLJ1zXwpOphijYfyyi.gT-aOvlAgU2zZiZZ) (Access Password: K&v2qc2^)
* Date - 5th November 2020
<br/>

* **TF-A Encrypted FIP Support - Presented by Sumit Garg** [PDF Presentation](/docs/Encrypted-FIP-Support.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/BHe19y2YMtYQkbd0tK4kIXL50k9Q3YGwW8qLscwGkSHRPH47YVrTXZoTJAzvyKx4.m8Eqqi_7YumL7ffm) (Access Password: +W6Im$ti)
* Date - 23rd October 2020
<br/>

* **Measured Boot Support in TF-A - Presented by Alexei Fedorov and Javier Almansa Sobrino**
  * **TF-A Event Log Changes - [PDF Presentation](/docs/TF-A_and_MB_Oct2020_v0.pdf)**
  * **TPM Testing - [PDF Presentation](/docs/MeasuredBoot-fTPM-Test.pdf)**
* [Video Recording](https://linaro-org.zoom.us/rec/share/-sdmQx4Ixe3RSWhlupKX-W03IeejQ5qW_SdniYjIQIIJWhFiF0RkR9W7Ef5bQbTb.Ssx0bgq36Z6AsiZh) (Access Password: 5.1SPm*@)
* Date - 8th October 2020
<br/>

* **TF-A LTS (Long Term Support) Strategy Proposal - Presented by Varun Wadekar** [PDF Presentation](/docs/TF-A-LTS.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/_CH2jX6nD_GiWWuhRnnlQqFTzphhI9gSa43OLtIAVIXWHIOoU1Sx8hD5TLi9x4j_.7eURMZ_8z-w8jbC_) (Access Password: jr6J#^FE)
* Date - 10th September 2020
<br/>

* **TF-A Errata Process - Presented by Bipin Ravi** [PDF Presentation](/docs/TF-A_TechForum_Errata_Process.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/7v5NKb7vz0hIBZGWzkPlUfdwBq7Gaaa80yca_KINz0mLfKCBM06WNXPQIa4k0Gn7) (Access Password: 9?p2C@06)
* Date - 27th August 2020
<br/>

* **TRNG and GIC600AE Support Investigation Overviews - Presented by Jimmy Brisson:** 
  * **Detailed Investigation for support for TRNG (True Random Number Generator)** [PDF Presentation](/docs/trng-30.pdf)
  * **Initial Investigation for support for GIC600AE** [PDF Presentation](/docs/gic600ae-30.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/wJQtMJ2z0VNIWoHL-W7HVoMiWYvjX6a81CNL8qcMxEfVhSx8EsrGlLrSS9-htWXY) (Access Password: fjd^^u^2)
* Date - 30th July 2020
<br/>

* **Secure EL2 SPM (Secure Partition Manager) Hafnium-based - Presented by Olivier Deprez and Andrew Walbran** [PDF Presentation](/docs/TF-A_Tech_Forum_SEL2_Hafnium_Jul_2020_v0.4.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/vPJkK4DA8ntOGoH_-lvBVpwzMaPaT6a82nAe-vpexB1oAbqbLLP9o1dWEcgYtxmx) (Access Password: 2W=77?+4)
* Date - 16th July 2020
<br/>

* **PSA Fuzz Testing - Presented by Gary Morrison** [PDF Presentation](/docs/PSA-TF-Fuzzing-Tool.pdf)
* [Video Recording](https://linaro-org.zoom.us/rec/share/zMAqcrSs81NJfoHq1UiHUPQcHo6-T6a8gHcaq_tYz0sT5j4m6HZriP5LEvb7V11_) (Access Password: 4z.Avw*B)
* Date - 2nd July 2020
<br/>

* **TF-A Unit Level Testing - Presented by Lauren Wehrmeister** [PDF Presentation](/docs/TF-A-UnitLevelTesting.pdf)
* [Video Recording](https://zoom.us/rec/share/_8BTM4DA9D1OedbJxkLcR7c5PZjbeaa8hyce__APyx2ps47_WaFZv2t7Y_6i7JAE) (Access Password: 0k*9$0T3)
* Date - 18th June 2020
<br/>

* **TF-A SMC Fuzz Testing Overview** [PDF Presentation](/docs/Directed_Radomized_SMC_Presentation.pdf)
* [Video Recording](https://zoom.us/rec/share/tcFMJbPq9zhOe6fi0Eb0a78zPLu4eaa81XNKqKUEy0t4z12ikcL1hGYsQxg9hXRG) (Access Password: 6K&*66@#)
* Date - 4th June 2020
<br/>

* **Firmware Configuration Framework (FConf) Updates:** 
  * **Making statically configured components of TF-A be dynamic using FConf framework** [PDF Presentation](/docs/TF-A_enhancements_fconf.pdf)
  * **Design discussion on CoT descriptors migration to a device tree using FConf framework** [PDF Presentation](/docs/TBBR_DesignReview.pdf)
* [Video Recording](https://zoom.us/rec/share/wNxHArXA0lhLU7PnrxzbBaAkEdW7eaa8hCVI86YLnkif6zqhG6LxL_b_fSDlkQh2) (Access Password: 3V@VmI.9)
* Date - 21st May 2020
<br/>

* **Overview of a new TF-A Build System based on Cmake** [PDF Presentation](/docs/CMake_Build_system.pdf)
* [Video Recording](https://zoom.us/rec/share/6JdfbOH96DNOQaPt4UzEdZEuRq_6X6a80ClIqKcNzEn5CWih79yYlR1T5AG9ccY1) (Access Password: 4V?+.L0$)
* Date - 7th May 2020
<br/>

* **Overview of the TF-A v2.3 Release** [PDF Presentation](/docs/TF-A_Releasev2.3_process-v2.pdf)
* **Project Maintenance Proposal for tf.org Projects discussion**
* [Video Recording](https://zoom.us/rec/share/-8NwAZz23CBIbbPt013Ee60qLNz-X6a81CMXqftcnxrMCNqoLgMC6SkPgMZogVeu) (Access Password: 8h!6R559)
* Date - 23rd April 2020
<br/>

* **Overview of the Project Maintenance Proposal for tf.org Projects** [PDF Presentation](/docs/project_maintenance_proposal-v2.pdf)
* No Video Recording Available
* Date - 9th April 2020
<br/>

* **Technical Overview of the Fconf (Firmware Configuration) Feature** [PDF Presentation](/docs/FCONF.pdf)
* [Video Recording](https://zoom.us/rec/play/upJ5ce6q_zI3ToDAtASDUfB-W460J6is0CBN__QEyhm1VSUHY1T3NeMSY-rojIvmvirao57XJWiLyySv)
* Date - 26th March 2020
<br/>

* **Introduction to the TF-A Technical Forum Meeting**
* **Technical Overview of the Debug-FS Feature** [PDF Presentation](/docs/tfa-debugfs-mar2020.pdf)
* [Video Recording](https://zoom.us/rec/share/xJVyIKP3yE9OfLPm4U3DarQfF5_YT6a80Sgb-aUOy0bWKUXqueDoQ6a6gh9fHtOV)
* Date - 12th March 2020
<br/>

Link to calendar event (https://calendar.google.com/event?action=TEMPLATE&tmeid=NWlub3Ewdm1tMmk1cTJrMTkxNHJ0MWdqZDJfMjAyMDA2MThUMTUwMDAwWiBsaW5hcm8ub3JnX2hhdmp2MmZpZ3JoNWVnYWl1cmIyMjlwZDhjQGc&tmsrc=linaro.org_havjv2figrh5egaiurb229pd8c%40group.calendar.google.com&scp=ALL)

Add this meeting to Google calendar (https://calendar.google.com/event?action=TEMPLATE&amp;tmeid=NWlub3Ewdm1tMmk1cTJrMTkxNHJ0MWdqZDJfMjAyMDA2MThUMTUwMDAwWiBsaW5hcm8ub3JnX2hhdmp2MmZpZ3JoNWVnYWl1cmIyMjlwZDhjQGc&amp;tmsrc=linaro.org_havjv2figrh5egaiurb229pd8c%40group.calendar.goog)
